## org.apache.http.impl.conn.tsccm
Class BasicPooledConnAdapter

    java.lang.Object
      org.apache.http.impl.conn.AbstractClientConnAdapter
          org.apache.http.impl.conn.AbstractPooledConnAdapter
              org.apache.http.impl.conn.tsccm.BasicPooledConnAdapter

All Implemented Interfaces:
  ConnectionReleaseTrigger, HttpRoutedConnection, ManagedClientConnection, HttpClientConnection, HttpConnection, HttpInetConnection, HttpContext

    public class BasicPooledConnAdapter

extends AbstractPooledConnAdapter

A connection wrapper and callback handler. All connections given out by the manager are wrappers which can be `detach`ed to prevent further use on release.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter
`poolEntry`

Fields inherited from interface org.apache.http.protocol.HttpContext
`RESERVED_PREFIX`

Constructor Summary
`protected` `BasicPooledConnAdapter(ThreadSafeClientConnManager tsccm, AbstractPoolEntry entry)` Creates a new adapter.

Method Summary
`protected void` `detach()` Detaches this adapter from the wrapped connection.
`protected ClientConnectionManager` `getManager()`
`protected AbstractPoolEntry` `getPoolEntry()` Obtains the pool entry.

Methods inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter
`assertAttached, assertValid, close, getRoute, getState, layerProtocol, open, setState, shutdown, tunnelProxy, tunnelTarget`

Methods inherited from class org.apache.http.impl.conn.AbstractClientConnAdapter

`abortConnection, assertNotAborted, assertValid, flush, getAttribute, getLocalAddress, getLocalPort, getMetrics, getRemoteAddress, getRemotePort, getSocketTimeout, getSSLSession, getWrappedConnection, isMarkedReusable, isOpen, isReleased, isResponseAvailable, isSecure, isStale, markReusable, receiveResponseEntity, receiveResponseHeader, releaseConnection, removeAttribute, sendRequestEntity, sendRequestHeader, setAttribute, setIdleDuration, setSocketTimeout, unmarkReusable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPooledConnAdapter

    protected BasicPooledConnAdapter(ThreadSafeClientConnManager tsccm,
                                     AbstractPoolEntry entry)

  Creates a new adapter.

  Parameters:
    `tsccm` - the connection manager
    `entry` - the pool entry for the connection being wrapped

Method Detail

### getManager

    protected ClientConnectionManager getManager()

  Overrides:
    `getManager` in class `AbstractClientConnAdapter`

### getPoolEntry

    protected AbstractPoolEntry getPoolEntry()

  Description copied from class: `AbstractPooledConnAdapter`
  Obtains the pool entry.

  Overrides:
    `getPoolEntry` in class `AbstractPooledConnAdapter`
  Returns:
    the pool entry, or `null` if detached

### detach

    protected void detach()

  Description copied from class: `AbstractPooledConnAdapter`
  Detaches this adapter from the wrapped connection. This adapter becomes useless.

  Overrides:
    `detach` in class `AbstractPooledConnAdapter`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.